package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.CollectTrafficCongestionAuditParam;
import com.clx.performance.param.app.collect.CollectTrafficCongestionSaveParam;
import com.clx.performance.param.app.collect.PageCollectTraficCongestionParam;
import com.clx.performance.param.pc.carrier.CarrierPageCollectTraficCongestionParam;
import com.clx.performance.vo.pc.collect.CollectTrafficCongestionVO;

public interface CollectTrafficCongestionService {

    void saveTrafficReport(CollectTrafficCongestionSaveParam param);

    CollectTrafficCongestionVO getReportInfo(Integer id);

    IPage<CollectTrafficCongestionVO> pageTrafficReport(PageCollectTraficCongestionParam param);


    void updateTrafficCongestionAudit(CollectTrafficCongestionAuditParam param);
    IPage<CollectTrafficCongestionVO> carrierPageTrafficReport(CarrierPageCollectTraficCongestionParam param);

}
